using SIGCM.Domain.Entities;

namespace SIGCM.Domain.Interfaces;

public interface IImageRepository
{
    Task AddAsync(ListingImage image);
    Task<ListingImage?> GetByIdAsync(int id);
    Task<IEnumerable<ListingImage>> GetByListingIdAsync(int listingId);
    Task DeleteAsync(int id);
}
